unit mainunit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, Menus, LazUTF8;

type

  { TMainForm }

  TMainForm = class(TForm)
    MakeListMenuItem: TMenuItem;
    MakeSQLStringListMenuItem: TMenuItem;
    Panel1: TPanel;
    ToolsMenuItem: TMenuItem;
    TrayMenuImageList: TImageList;
    ExitMenuItem: TMenuItem;
    N1: TMenuItem;
    UpdateTrayIconTimer: TTimer;
    TrayPopupMenu: TPopupMenu;
    TrayIcon: TTrayIcon;
    procedure ExitMenuItemClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure MakeListMenuItemClick(Sender: TObject);
    procedure MakeSQLStringListMenuItemClick(Sender: TObject);
    procedure TrayPopupMenuPopup(Sender: TObject);
    procedure UpdateTrayIconTimerTimer(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

uses SystemLoad, ClipboardHistory;

{$R *.lfm}

{ TMainForm }

procedure TMainForm.UpdateTrayIconTimerTimer(Sender: TObject);
begin
  UpdateTrayIcon(TrayIcon);
end;

procedure TMainForm.TrayPopupMenuPopup(Sender: TObject);
begin
end;

procedure TMainForm.ExitMenuItemClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  SystemLoad.SetDPI(Screen.PixelsPerInch);
end;

procedure TMainForm.MakeListMenuItemClick(Sender: TObject);
begin
  ClipHistory.MakeList;
end;

procedure TMainForm.MakeSQLStringListMenuItemClick(Sender: TObject);
begin
  ClipHistory.MakeSQLList;
end;

end.
